%global modulename tern-lint

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-tern-lint
Version:        0.6.0
Release:        1%{?dist}
Summary:        Tern plugin to validate JavaScripts files to collect semantic errors.

License:        MIT
URL:            https://github.com/angelozerr/tern-lint#readme
Source0:        https://registry.npmjs.org/tern-lint/-/tern-lint-0.6.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(tern) >= 0.16.0 with npmlib(tern) < 0.17.0))
BuildRequires:  ((npmlib(acorn) >= 2.6.4 with npmlib(acorn) < 3.0.0))
BuildRequires:  ((npmlib(glob) >= 3.0.0 with npmlib(glob) < 4.0.0))
BuildRequires:  ((npmlib(minimatch) >= 0.2.0 with npmlib(minimatch) < 0.3.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Tern plugin to validate JavaScripts files to collect semantic errors.

%package 0.6.0
Summary:        Tern plugin to validate JavaScripts files to collect semantic errors.


%description 0.6.0
Tern plugin to validate JavaScripts files to collect semantic errors.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr codemirror %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr demos %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lint.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr scripts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
chmod +x %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/bin/lint
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/lint %{buildroot}/%{_bindir}/tern-lint


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{_bindir}/tern-lint
%{nodejs_dir}/%{modulename}

%files 0.6.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 0.6.0-1
- Package automatically generated by npm2srpm
